Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPSolutionCreator.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPSolutionCreator.cs	(revision 15677)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPSolutionCreator.cs	(revision 16728)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,9 +27,9 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPSolutionCreator", "Base class for solution creators of the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("1FD56558-5E7C-470C-8E7C-B3CEF7DB1D61")]
   public abstract class GQAPSolutionCreator : SingleSuccessorOperator, IProblemInstanceAwareGQAPOperator, IGQAPSolutionCreator {
 
@@ -51,5 +52,5 @@
 
     [StorableConstructor]
-    protected GQAPSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected GQAPSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected GQAPSolutionCreator(GQAPSolutionCreator original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPStochasticSolutionCreator.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPStochasticSolutionCreator.cs	(revision 15677)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GQAPStochasticSolutionCreator.cs	(revision 16728)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,8 +26,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("GQAPStochasticSolutionCreator", "Base class for stochastic solution creators of the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("D7789768-032F-4EAB-ADED-FF4DD5A23B99")]
   public abstract class GQAPStochasticSolutionCreator : GQAPSolutionCreator, IStochasticOperator {
 
@@ -37,5 +38,5 @@
 
     [StorableConstructor]
-    protected GQAPStochasticSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected GQAPStochasticSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected GQAPStochasticSolutionCreator(GQAPStochasticSolutionCreator original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GreedyRandomizedSolutionCreator.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GreedyRandomizedSolutionCreator.cs	(revision 15677)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/GreedyRandomizedSolutionCreator.cs	(revision 16728)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,4 +31,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
@@ -37,5 +38,5 @@
   /// </summary>
   [Item("GreedyRandomizedSolutionCreator", "Creates a solution according to the procedure described in Mateus, G., Resende, M., and Silva, R. 2011. GRASP with path-relinking for the generalized quadratic assignment problem. Journal of Heuristics 17, Springer Netherlands, pp. 527-565.")]
-  [StorableClass]
+  [StorableType("44919EFC-AF47-4F0D-8EE4-F5AECBF776CA")]
   public class GreedyRandomizedSolutionCreator : GQAPStochasticSolutionCreator {
 
@@ -48,5 +49,5 @@
 
     [StorableConstructor]
-    protected GreedyRandomizedSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected GreedyRandomizedSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected GreedyRandomizedSolutionCreator(GreedyRandomizedSolutionCreator original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/RandomButFeasibleSolutionCreator.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/RandomButFeasibleSolutionCreator.cs	(revision 15677)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/RandomButFeasibleSolutionCreator.cs	(revision 16728)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,8 +31,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("RandomButFeasibleSolutionCreator", "Creates a random, but feasible solution to the Generalized Quadratic Assignment Problem.")]
-  [StorableClass]
+  [StorableType("3C194DAF-81A9-4FA3-AE7F-45951FC33DE1")]
   public class RandomFeasibleSolutionCreator : GQAPStochasticSolutionCreator {
 
@@ -45,5 +46,5 @@
 
     [StorableConstructor]
-    protected RandomFeasibleSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected RandomFeasibleSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected RandomFeasibleSolutionCreator(RandomFeasibleSolutionCreator original, Cloner cloner) : base(original, cloner) { }
     public RandomFeasibleSolutionCreator()
Index: branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/SlackMinimizationSolutionCreator.cs
===================================================================
--- branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/SlackMinimizationSolutionCreator.cs	(revision 15677)
+++ branches/1614_GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/SolutionCreators/SlackMinimizationSolutionCreator.cs	(revision 16728)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,8 +31,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment {
   [Item("SlackMinimizationSolutionCreator", "A heuristic that creates a solution to the Generalized Quadratic Assignment Problem by minimizing the amount of slack.")]
-  [StorableClass]
+  [StorableType("02676A57-A686-4FDB-B912-B3792C749669")]
   public class SlackMinimizationSolutionCreator : GQAPStochasticSolutionCreator {
 
@@ -51,5 +52,5 @@
 
     [StorableConstructor]
-    protected SlackMinimizationSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected SlackMinimizationSolutionCreator(StorableConstructorFlag _) : base(_) { }
     protected SlackMinimizationSolutionCreator(SlackMinimizationSolutionCreator original, Cloner cloner) : base(original, cloner) { }
     public SlackMinimizationSolutionCreator()
